# revision 30077
# category Package
# catalog-ctan /support/dtxgen
# catalog-date 2013-04-22 18:47:59 +0200
# catalog-license gpl
# catalog-version 1.03
Name:		texlive-dtxgen
Version:	1.03
Release:	7
Summary:	Creates a template for a self-extracting .dtx file
Group:		Publishing
URL:		http://www.ctan.org/tex-archive/support/dtxgen
License:	GPL
Source0:	http://mirrors.ctan.org/systems/texlive/tlnet/archive/dtxgen.tar.xz
Source1:	http://mirrors.ctan.org/systems/texlive/tlnet/archive/dtxgen.doc.tar.xz
BuildArch:	noarch
BuildRequires:	texlive-tlpkg
Requires(pre):	texlive-tlpkg
Requires(post):	texlive-kpathsea
Provides:	texlive-dtxgen.bin = %{EVRD}

%description
The bash script dtxgen creates a template for a self-extracting
.dtx file. It is useful for those who plan to create a new
Documented LaTeX Source (.dtx) file.

%post
    %{_sbindir}/texlive.post

%postun
    if [ $1 -eq 0 ]; then
	%{_sbindir}/texlive.post
    fi

#-----------------------------------------------------------------------
%files
%{_bindir}/dtxgen
%{_texmfdistdir}/scripts/dtxgen/dtxgen
%doc %{_texmfdistdir}/doc/support/dtxgen/README
%doc %{_texmfdistdir}/doc/support/dtxgen/dtxgen.pdf

#-----------------------------------------------------------------------
%prep
%setup -c -a0 -a1

%build

%install
mkdir -p %{buildroot}%{_bindir}
pushd %{buildroot}%{_bindir}
    ln -sf %{_texmfdistdir}/scripts/dtxgen/dtxgen dtxgen
popd
mkdir -p %{buildroot}%{_datadir}
cp -fpar texmf-dist %{buildroot}%{_datadir}

%changelog
* Fri Jun 27 2014 Alex Burmashev <alex.burmashev@rosalab.ru> 1.03-7
+ Revision: 7884905
- MassBuild#440: Increase release tag


